# BasicClassRegistry< T > Class Template Reference

`#include <BasicClassRegistry.h>`

List of all members.

## Public Member Functions

| BasicClassRegistry ()
| ~BasicClassRegistry ()
BasicClassFactoryBase< T > * | unregisterFactory (const std::string id)
void | registerFactory (BasicClassFactoryBase< T > *factory, const std::string id)
BasicSmartPointer< T > | create (const std::string id)

## Private Types

typedef std::map< std::string, BasicClassFactoryBase< T > * > | factoryMap_t

## Private Attributes

factoryMap_t | factoryMap

### template<class T>
class BasicClassRegistry< T >

## Member Typedef Documentation

template<class T>
typedef std::map<std::string, BasicClassFactoryBase<T> *> BasicClassRegistry< T >::factoryMap_t `[private]`

## Constructor & Destructor Documentation

template<class T>
BasicClassRegistry< T >::BasicClassRegistry | ( |  | ) | `[inline]`

template<class T>
BasicClassRegistry< T >::~BasicClassRegistry | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
BasicSmartPointer<T> BasicClassRegistry< T >::create | ( | const std::string | id | ) | `[inline]`

template<class T>
void BasicClassRegistry< T >::registerFactory | ( | BasicClassFactoryBase< T > * | factory,
|  | const std::string | id
| ) | `[inline]`

template<class T>
BasicClassFactoryBase<T>* BasicClassRegistry< T >::unregisterFactory | ( | const std::string | id | ) | `[inline]`

## Member Data Documentation

template<class T>
factoryMap_t BasicClassRegistry< T >::factoryMap `[private]`

The documentation for this class was generated from the following file:

- BasicClassRegistry.h